VisualStudio2013でC#アプリを新規作成し、
対象フレームワークを .NET Framework4.5 →.NET Framework3.5にしてビルドすると

warning MSB3267: フレームワーク アセンブリであるプライマリ参照 "Microsoft.CSharp" は、現在ターゲットされているフレームワークで解決できませんでした。".NETFramework,Version=v3.5"。この問題を解決するには、参照 "Microsoft.CSharp" を削除するか、"Microsoft.CSharp" を含むフレームワーク バージョンにアプリケーションを再ターゲットしてください。

が出る。

プロジェクトの参照設定の"Microsoft.CSharp"が.NETFramework4以降くらないのかな。マークが付いている。
20131029_Microsoft.CSharp

"Microsoft.CSharp"を削除してビルドするとビルド成功した。